LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 12-06-2003, 01:27 AM   #1
timberwolf
Member
 
Registered: Dec 2003
Location: Singapore
Distribution: Mandrake 9.2
Posts: 128

Rep: Reputation: 15
compiling Qt with thread support?


I had this error while i tried to install kmess and kopete...

" checking for Qt... configure: error: Qt (>= Qt 3.1 (20021021)) (library qt-mt) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
Make sure that you have compiled Qt with thread support!"

What does the above error message mean?
What must i do?

please advise....

Thank you
 
Old 12-06-2003, 04:39 AM   #2
Velvet Elvis
Member
 
Registered: Dec 2003
Distribution: debian (when I can) RHEL (when I must)
Posts: 98

Rep: Reputation: 15
it means that configure can't find your qt libraries. make sure you have qt version 3.1 or greater installed. If so, make sure you have the location in your path. If you still have problems, you can specify the location of the qt libs when you run ./configure. I forget the context, but it should be fairly easy to find.
 
Old 12-06-2003, 10:24 AM   #3
timberwolf
Member
 
Registered: Dec 2003
Location: Singapore
Distribution: Mandrake 9.2
Posts: 128

Original Poster
Rep: Reputation: 15
how can you check if you have qt installed ?
 
Old 12-06-2003, 05:14 PM   #4
Velvet Elvis
Member
 
Registered: Dec 2003
Distribution: debian (when I can) RHEL (when I must)
Posts: 98

Rep: Reputation: 15
Use Kpackage, or whatever package manager redhat uses. You might want to look at man rpm to see how you can do it from the console.
 
Old 12-06-2003, 05:15 PM   #5
Velvet Elvis
Member
 
Registered: Dec 2003
Distribution: debian (when I can) RHEL (when I must)
Posts: 98

Rep: Reputation: 15
You might also want to check out rpmfind.net to see if the package you are trying to compile is already available as a rpm binary.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Compiling thread.c kourage Programming 5 09-28-2005 08:39 AM
QT with thread support ?????? bullwinkle Linux - Software 0 09-22-2004 07:51 AM
Compiling in ACPI support on Compaq 2135CA (system crashes while compiling) Dag Linux - Laptop and Netbook 20 07-30-2004 08:56 PM
Qt Thread Support Problem zombyLINUX Linux - Software 4 03-30-2004 03:26 PM
compiling qt with thread support stevenhasty Linux - Software 1 07-03-2003 01:07 PM


All times are GMT -5. The time now is 09:46 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration